# Smart API Integrations Examples

This directory contains examples of how to use the Smart API Integrations library.

## API Client Examples

- [GitHub Basic Example](github_basic_example.py) - Basic usage of the GitHub API client
- [OpenAPI Converter Example](openapi_converter_example.py) - Convert OpenAPI specifications to provider configurations

## Webhook Examples

- [Webhook Integration Example](webhook_integration_example.py) - Basic webhook integration
- [Webhook Handler Example](webhook_handler_example.py) - Creating and using webhook handlers
- [GitHub Webhook Example](github_webhook_example.py) - Handling GitHub webhooks

## Framework Integration Examples

- [Flask Webhook Example](flask_webhook_example.py) - Integrating webhooks with Flask
- [Simple Webhook Server](simple_webhook_server.py) - A simple webhook server implementation

## CLI Examples

- [CLI Usage](cli_usage.py) - Examples of using the command-line interface

## Generated Examples

The `generated/` directory contains examples that are generated by the library, such as client classes and type stubs.

## Running the Examples

To run an example:

1. Install the library: `pip install smart-api-integrations`
2. Set up any required environment variables (see each example for details)
3. Run the example: `python examples/example_name.py`

## Contributing

If you have a useful example that you'd like to contribute, please submit a pull request! 